/*
  This file is part of mpro.

  mpro is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  dolt is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with dolt; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  $Id: inttypes.h,v 1.1 2006/01/28 01:28:10 beevek Exp $

  Copyright (c) 2006 Kris Beevers
*/

/*!
  \file inttypes.h
  \author Kris Beevers (beevek@cs.rpi.edu)
  \version $Id: inttypes.h,v 1.1 2006/01/28 01:28:10 beevek Exp $

  \brief A fake inttypes.h for win32.
 */

#ifndef _INTTYPES_H
#define _INTTYPES_H

#ifdef __cplusplus
extern "C" {
#endif

typedef unsigned char uint8_t;
typedef unsigned short uint16_t;
typedef unsigned int uint32_t;
typedef char int8_t;
typedef short int16_t;
typedef int int32_t;

#ifdef __cplusplus
}
#endif

#endif // _INTTYPES_H
